Bug 758667 - Browser resources consumption grows when saving assets
Browser resources consumption grows when saving assets
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: BRMS 5.3.0.GA
Assigned To: Mark Proctor
Jiri Locker
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 06:40 EST by Jiri Locker
Modified: 2013-11-07 17:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously when saving assets in the BRMS user interface, the browser CPU usage spiked and from a user's perspective the browser appeared to freeze. This issue was present in JBoss BRMS 5.2.0, however, is not present in JBoss BRMS 5.3.0.
Story Points: ---
Clone Of:
Environment:
Firefox 3, 5; IE8
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2011-11-30 06:40:55 EST
Description of problem:
Saving certain types of assets (e.g. models, dsl configurations, not rules) causes a significant peak in browser's CPU usage. From the user's point of view the browser simply freezes for a period of time. Duration of the peak load and memory usage increases with the number of continuous save operations, where 'continuous' means without logging out and back in.

Version-Release number of selected component (if applicable):
BRMS 5.3.0.DEV5

How reproducible:
always

Steps to Reproduce:
1. import mortgage sample repo; open ApplicantDsl
2. keep saving it repeatedly until browser response time becomes uncomfortable (~10 rounds)
3. after logging out, browser memory usage drops
  
Actual results:
It's not possible to work in Guvnor continuously without relogging if you save models and DSL configurations (maybe other asset types too) often.

Expected results:
Guvnor's resources (CPU, memory) demand shouldn't depend on the number of performed save operations. User shouldn't be forced to relog in order to continue working.

Additional info:
Comment 1 Toni Rikkola 2011-12-08 07:30:51 EST
My guess is that the suggestion completition engine is doing too much or leaking memory.
Comment 2 Geoffrey De Smet 2011-12-19 04:28:46 EST
To add the logging to every service call, we 'll have to create a simple "AbstractGuvnorServlet (or Service)" and let all our guvnor services extend that. Then put an Interceptor on it that only activates during development to log it.

Seam doesn't provide such an Interceptor out of the box, but it should be easy to write (and to contribute back to seam).
Comment 3 Jiri Locker 2011-12-20 09:19:47 EST
I just noticed a mistake in the description (expected results) and I don't know how to edit it. Just s/Guvnor/Browser/. It's the browser that is consuming more and more CPU and memory. Seems like there's a poor JavaScript code on the client side.
Comment 4 Jiri Locker 2012-01-31 08:38:33 EST
Confirming the regression, couldn't reproduce with 5.2.
Comment 5 Ryan Zhang 2012-02-15 04:12:35 EST
Please verify the issue on 5.3 ER4.
Comment 7 Jiri Locker 2012-05-07 14:01:51 EDT
Couldn't reproduce in ER6, so I consider this issue fixed.
Comment 9 lcarlon 2012-06-03 22:51:00 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously when saving assets in the BRMS user interface, the browser CPU usage spiked and from a user's perspective the browser appeared to freeze. This issue was present in JBoss BRMS 5.2.0, however, is not present in JBoss BRMS 5.3.0.

Note You need to log in before you can comment on or make changes to this bug.